Skip to Content
avatar image
Former Member

EFM_9.0_PL14 Error en el eschema, contacte al proveedor del formato

HOLA AMIGOS,

Se me ha presentado un escenario donde migramos un ambiente productivo de 8.82 pl 13 a 9.0 pl 14. en el cual no se genera el XML de hecho cuando se manda a facturar marca el siguiente error  "Error en el schema" contacte al proveedor del formato

en los mensajes de los arroja esto.

The element 'emisor' in namespace 'http://www.sat.gob.mx/cfd/3' has invalid child elment 'régimen fiscal' in namespace 'http://www.sat.gob.mx/cfd/3'

the 'numCtaPago' attibute is not declared.

the 'lugar expedición' attibute is not declared

the value of the 'versión' attibute does not equial its fixed value

lo que he hecho es mapear un spp de otro ambiente que ya esta funcionando en la versión 9.0, también he entrado a sap al EFM y he actualizado la versión  y me aparece todo satisfactorio, vuelvo a cargar el spp y me hace lo mismo.

agradezco su valioso apoyo porque no puedo generar el XML.

saludos cordiales.

Nancy HERNANDEZ

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • avatar image
    Former Member
    Nov 19, 2014 at 09:57 PM

    Tal vez al momento que lo cargas te pregunta si es un "Input Message" ahi dile "No"

    Eso sirvió?

    sds!

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hola Raul,

      Agradezco de antemano tu interés, fíjate que he hecho eso y sigo con el mismo problema.

      En el foro encontre el mismo problema pero con una version viejita de SAP donde tenias que cambiar el formato "actualizarlo", lo que no se es si hay un nuevo formato para la version 9.0, como lo comente antes lo que hice fu actualizarlo y cargarle el source data pero me saca el mismo error.

      saludos.

  • avatar image
    Former Member
    Nov 20, 2014 at 11:10 PM

    Hola, Nancy.

    Si los nombres de atributos que posteaste es como te los muestra SAP B1 en el mensaje de error, entonces desde el SPP está el problema, porque esos no coinciden con la estructura del XSD de CFDi del SAT.

    'régimen fiscal'     --> atributo correcto: RegimenFiscal

    'numCtaPago'           --> atributo correcto: NumCtaPago

    'lugar expedición'     --> atributo correcto: LugarExpedicion

    'versión'                      --> atributo correcto: version

    Como podrás ver, hay diferencias (mayúsculas, minúsculas, acentos, sin espacios), por lo que necesitas que te corrijan el SPP o cargar el XSD v3.2 del SAT nuevamente.

    Después de las correcciones, cargas el nuevo SPP (en InputMessage elijes No) y luego tienes que fijarlo predeterminado en Parametrizaciones Generales y en todos aquellos clientes (datos maestros) que tengan fijado el anterior SPP.

    Lo otro que puedes hacer es ya no usar tus SPPs y adecuar el SPP system 3.2 de SAP, lo editas con el EFM para mapear los campos que necesitas en tu XML y posiblemente tengas que cargar nuevamente tu Datasource.xml para actualizar la estructura del origen de datos.

    Espero esta información te sirva y SUERTE!!

    JC.

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Gracias Juan,

      Ya lo subí pero no pude pegar la liga, tenemos algunas restricciones en la red pero lo en enviado a tu correo.

      agradezco de antemano la ayuda que puedas brindarme.

      saludos

      NANCY HERNANDEZ.

  • avatar image
    Former Member
    Feb 23, 2015 at 10:11 PM

    Buen dia, tengo el mismo caso. Actualice de 8.82 a SAP 9 pl 14 y no me esta reconociendo el nodo de adenda y ya estaba probado ese spp. me dice:

    El elemento 'comprobante' en espacio de nombres 'http://www.sat.gob.mx/cfdi/,' tiene un elemento secundario 'Adenda' en espacio de nombres no valido. No se ha declarado el elemento.

    ¿Alguien lo pudo resolver? ¿Alguna sugerencia?

    Gracias!

    Add comment
    10|10000 characters needed characters exceeded